package com.xy.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 商户佣金费用收益每日统计（不含今天）
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "MercFeeCountDay对象", description = "商户佣金费用收益每日统计（不含今天）")
public class MercFeeCountDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "商户ID")
    private Long mercId;

    @ApiModelProperty(value = "父商户ID")
    private Long parentMercId;

    @ApiModelProperty(value = "统计日期20220603")
    private Integer dateValue;

    @ApiModelProperty(value = "统计日期202206")
    private Integer monthValue;

    @ApiModelProperty(value = "缴费金额")
    private Integer payMoney;

    @ApiModelProperty(value = "佣金")
    private Integer brokerage;

    @ApiModelProperty(value = "缴费类型")
    private Integer feeType;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;


}
