package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商户佣金费用结算
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MercFeeSettle对象", description="商户佣金费用结算")
public class MercFeeSettle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "商户ID")
    private Long mercId;

    @ApiModelProperty(value = "结算金额")
    private Integer settleMoney;

    @ApiModelProperty(value = "申请时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "申请人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUser;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "结算状态（1未结算、结算中、2已结算）")
    private Integer settleState;

    @ApiModelProperty(value = "结算完成时间")
    private LocalDateTime finishSettleTime;

    @ApiModelProperty(value = "发票图片（最多支持4个,|分隔）")
    private String titleImg;

    @ApiModelProperty(value = "结算人")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateUser;


}
