package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商户佣金费用统计
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MercFeeStatistic对象", description="商户佣金费用统计")
public class MercFeeStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商户ID")
    @TableId(value = "merc_id", type = IdType.ASSIGN_ID)
    private Long mercId;

    @ApiModelProperty(value = "累计已结算佣金")
    private Integer settleMoney;

    @ApiModelProperty(value = "可结算佣金")
    private Integer unSettleMoney;

    @ApiModelProperty(value = "累计已确认佣金")
    private Integer verifyMoney;

    @ApiModelProperty(value = "申请时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;


}
