package com.xy.open.dto;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 设备DTO
 */
public class DeviceOpenApiDTO {

    /**
     * 根据商户编码获取商户设备列表
     */
    @Data
    @Accessors(chain = true)
    public static class DeviceListGet {
        @NotNull(message = "分页对象不可为空")
        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

        @NotEmpty(message = "商户编码不可为空")
        @ApiModelProperty(value = "商户编码", required = true)
        private List<String> mercCodes;

    }

    @Data
    @Accessors(chain = true)
    public static class DeviceOperate {
        @NotNull(message = "设备ID")
        @ApiModelProperty(value = "设备ID", required = true)
        private Long deviceId;


        @NotNull(message = "操作类型")
        @ApiModelProperty(value = "操作类型(开打印机门锁：openPrinterLock)", required = true)
        private String action;


    }


    @Data
    @Accessors(chain = true)
    public static class DeviceOperateResult {
        @ApiModelProperty(value = "请求结果（成功：true,失败：false）")
        private Boolean result;


    }


}
