package com.xy.open.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 设备VO
 */
public class DeviceOpenApiVO {

    @Data
    @Accessors(chain = true)
    public static class DeviceList {

        @ApiModelProperty(value = "商户编码")
        private String mercCode;


        @ApiModelProperty(value = "商户ID")
        private String mercId;

        @ApiModelProperty(value = "设备编号")
        private Long deviceId;

        @ApiModelProperty(value = "设备名称")
        private String deviceName;

        @ApiModelProperty(value = "算法平台ID->1:旷世算法 2:云从算法 3:支付宝算法 4:拓元算法 5:商汤算法")
        private Long algorithmId;

        @ApiModelProperty(value = "设备类型-> 1: 动态视觉柜（单门） 2: 动态视觉柜（双门） 3: 重力柜（单门） 4:重力柜（双门） 5：支付宝视动态觉柜")
        private Integer deviceType;


        @ApiModelProperty(value = "经度")
        private String lon;

        @ApiModelProperty(value = "纬度")
        private String lat;

        @ApiModelProperty(value = "设备型号")
        private String deviceModel;

        @ApiModelProperty(value = "激活状态->1: 已激活 2: 未激活")
        private Integer activeState;

        @ApiModelProperty("激活时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime activeTime;


    }


}
