package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceInfoDto;
import com.xy.dto.MercFeeExtraDTO;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

/**
 * 商户扩展费用
 *
 * @author 谭斌
 * @date 2024/04/15
 */
@Service
@RequiredArgsConstructor
@Api(tags = "商户扩展费用-各种类型")
@RestMappingController("merc/fee/extra")
public class MercExtraFeeService {

    private final DeviceInfoServiceImpl deviceInfoService;

    @ApiOperation("按类型获取费用")
    @PostMapping("getByType")
    public R getByType(@RequestBody @Valid MercFeeExtraDTO.Query q) {
        return R.ok();
    }


}
