package com.xy.dto;

import com.xy.utils.PageBean;
import com.xy.utils.XyEncryptUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

public class ApiDto {

    @Data
    @Accessors(chain = true)
    public static class DevicePageDto extends XyEncryptUtils.XyEncryptInfo {

        @ApiModelProperty(value = "分页信息", required = true)
        private PageBean page = new PageBean();

        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @Data
        @Accessors(chain = true)
        public static class Vo extends XyEncryptUtils.XyEncryptInfo {

            @ApiModelProperty(value = "数据", required = true)
            private PageBean<Info> result;

            @Data
            @Accessors(chain = true)
            public static class Info {

                @ApiModelProperty("设备id")
                private Long deviceId;

                @ApiModelProperty("设备名称")
                private String deviceName;

                @ApiModelProperty("设备类型")
                private Integer deviceType;

                @ApiModelProperty("算法平台id")
                private Long algorithmId;

                @ApiModelProperty("区域名称")
                private String regionName;

                @ApiModelProperty("运营状态")
                private Integer busyState;

                @ApiModelProperty("经度")
                private String lon;

                @ApiModelProperty("纬度")
                private String lat;

                @ApiModelProperty("联网状态")
                private Integer netState;

                @ApiModelProperty("设备sn")
                private String deviceSn;
            }

        }

    }

}
