package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author hechunping
 * @since 2024-04-11
 */
public class DeviceSetRecordsDto {

    @Data
    @Accessors(chain = true)
    public static class LastOneVo {
        @ApiModelProperty(value = "类型")
        private String type;

        @ApiModelProperty(value = "内容")
        private String content;
    }

    @Data
    @Accessors(chain = true)
    public static class LastOneDto {
        @ApiModelProperty(value = "设备ID")
        private Long deviceId;

        @ApiModelProperty(value = "查询类型列表")
        private List<String> typeList;
    }

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        private Long id;

        @ApiModelProperty(value = "设备ID")
        private Long deviceId;

        @ApiModelProperty(value = "类型")
        private String type;

        @ApiModelProperty(value = "设置内容")
        private String content;


        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;


    }

}
