package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 物联网卡加油包记录
 * </p>
 *
 * @author hechunping
 * @since 2024-08-22
 */
public class DeviceSimPickRecordsDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save {
        @ApiModelProperty(value = "设备ID")
        private Long deviceId;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "iccid")
        private String iccid;

        @ApiModelProperty(value = "运营商")
        private String icp;

        @ApiModelProperty(value = "加油包名称")
        private String name;

        @ApiModelProperty(value = "金额")
        private Integer amount;

        @ApiModelProperty(value = "加油包编号")
        private String packCode;

    }

    @Data
    @Accessors(chain = true)
    public static class Update {
        @ApiModelProperty(value = "支付状态")
        private String payStatus;

        @ApiModelProperty(value = "备注")
        private String remark;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "ID")
        private Long id;

        @ApiModelProperty(value = "设备ID")
        private Long deviceId;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "iccid")
        private String iccid;

        @ApiModelProperty(value = "运营商")
        private String icp;

        @ApiModelProperty(value = "加油包名称")
        private String name;

        @ApiModelProperty(value = "金额")
        private Integer amount;

        @ApiModelProperty(value = "加油包编号")
        private String packCode;

        @ApiModelProperty(value = "支付状态")
        private String payStatus;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新人")
        private Long updateUser;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "备注")
        private String remark;

    }

}
