package com.xy.dto;

import java.time.LocalDateTime;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import com.xy.utils.PageBean;
import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 商户流量卡费配置扩展
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-07
 */
public class MercFeeConfigSimCardDto {
    @Data
    @Accessors(chain = true)
    public static class Delete {

        @NotNull(message = "id不能为空")
        @ApiModelProperty(value = "id")
        private Long id;
    }

    @Data
    @Accessors(chain = true)
    public static class DeviceSimConfigVO {
        @ApiModelProperty(value = "流量卡费-平台默认配置")
        private List<DeviceSimPlatformVO> deviceSimPlatformList;
        @ApiModelProperty(value = "流量卡费-商家自定义费用")
        private List<DeviceSimMercVO> deviceSimMercList;
    }

    @Data
    @Accessors(chain = true)
    public static class DeviceSimPlatformVO {

        @ApiModelProperty(value = "名称")
        private String name;
        @ApiModelProperty(value = "年费，单位 分")
        private Integer money;
        @ApiModelProperty(value = "即将过期天数")
        private Integer expireDay;
    }

    @Data
    @Accessors(chain = true)
    public static class DeviceSimMercVO {

        @ApiModelProperty(value = "ID")
        private Long id;

        @ApiModelProperty(value = "商户编码")
        private String mercCode;

        @ApiModelProperty(value = "商户id")
        private Long mercId;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "更新人")
        private Long updateUser;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "流量卡费金额(比平台多收的金额)")
        private Integer extraMoney;

        @ApiModelProperty(value = "名称")
        private String name;
        @ApiModelProperty(value = "年费，单位 分")
        private Integer money;
        @ApiModelProperty(value = "即将过期天数")
        private Integer expireDay;

    }

    @Data
    @Accessors(chain = true)
    public static class DeviceSimPayVO {
        @ApiModelProperty(value = "名称")
        private String name;
        @ApiModelProperty(value = "年费，单位 分")
        private Integer money;

    }


    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "ID")
        private Long id;

        @ApiModelProperty(value = "商户编码")
        private String mercCode;

        @ApiModelProperty(value = "商户id")
        private Long mercId;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "更新人")
        private Long updateUser;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "流量卡费金额(比平台多收的金额)")
        private Integer extraMoney;


    }

}
