package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 商户佣金费用收益每月统计（不含本月）
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-23
 */
public class MercFeeCountMonthDto {
    @Data
    @Accessors(chain = true)
    public static class ExcuteDayDTO {
        @NotBlank(message = "日期不可为空yyyyMM")
        @ApiModelProperty(value = "分页对象", required = true)
        private String date;
    }


    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {
        @ApiModelProperty(value = "月份-起")
      
        private String beginTime;

        @ApiModelProperty(value = "月份-止")

        private String endTime;

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class ConfirmDTO {
        @NotNull(message = "确认对象不可为空！")
        @ApiModelProperty(value = "ID", required = true)
        private Long id;

        @ApiModelProperty(value = "父商户ID", hidden = true)
        private Long parentMercId;


    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "商户名称")
        private String mercName;

        @ApiModelProperty(value = "父商户ID")
        private Long parentMercId;


        @ApiModelProperty(value = "统计日期202206")
        private Integer dateValue;

        @ApiModelProperty(value = "缴费金额")
        private Integer payMoney;

        @ApiModelProperty(value = "佣金")
        private Integer brokerage;

        @ApiModelProperty(value = "缴费类型；字典-merc_fee_type")
        private Integer feeType;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "是否确认")
        private Boolean verify;

        @ApiModelProperty(value = "确认时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime verifyTime;


    }

}
