package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 商户扩展费用
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-07
 */
public class MercFeeExtraDTO {
    @Data
    @Accessors(chain = true)
    public static class Query {

        @NotNull(message = "商户ID不能为空")
        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @NotNull(message = "查询类型不可为空")
        @ApiModelProperty(value = "类型 1设备管理费。2设备激活费。3算法扣费标准。4流量卡费")
        private Integer type;
    }


}
