package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 商户佣金费用统计
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-24
 */
public class MercFeeStatisticDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "累计已结算佣金")
        private Integer settleMoney;

        @ApiModelProperty(value = "可结算佣金")
        private Integer unSettleMoney;

        @ApiModelProperty(value = "累计已确认佣金")
        private Integer verifyMoney;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;


    }


    @Data
    @Accessors(chain = true)
    public static class InFoVO {

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "累计已结算佣金")
        private Integer settleMoney;

        @ApiModelProperty(value = "可结算佣金")
        private Integer unSettleMoney;

        @ApiModelProperty(value = "累计已确认佣金")
        private Integer verifyMoney;

        @ApiModelProperty(value = "结算中金额")
        private Integer settlingMoney;

    }

}
