package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceAnnualFeeOrdersDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 设备年费订单表 服务类
 * </p>
 *
 * @author lijin
 * @since 2025-02-28
 */
@RestMappingController("/device-annual-fee-orders")
public interface DeviceAnnualFeeOrdersService {

    /**
     * 购买
     *
     * @param pays
     * @return
     */
    @PostMapping("pay")
    R pay(@RequestBody @Validated List<DeviceAnnualFeeOrdersDto.Pay> pays);

    /**
     * 购买回调
     *
     * @param payNotice
     * @return
     */
    @PostMapping("payNotice")
    R payNotice(@RequestBody @Validated DeviceAnnualFeeOrdersDto.PayNotice payNotice);
}
