package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.MercFeeConfigAlgorithmTypeDto;
import com.xy.dto.MercFeeConfigSimCardDto;
import com.xy.utils.R;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 商户流量卡费配置扩展 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-07
 */
@RestMappingController("/merc-fee-config-sim-card")
public interface MercFeeConfigSimCardService {

    /**
     * 商户自定义流量卡费用
     *
     * @param dto
     * @return
     */
    @PostMapping("listByMerc")
    R<List<MercFeeConfigSimCardDto.DeviceSimPayVO>> listByMerc(@RequestBody @Validated MercFeeConfigAlgorithmTypeDto.SimPayQueryDTO dto);

}
