package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SimInfoDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 物联网卡服务接口
 * </p>
 *
 * @author hechunping
 * @since 2024/8/20
 */
@RestMappingController("sim-info")
public interface SimInfoService {
    @PostMapping("info")
    R<SimInfoDto.InfoVo> info(@RequestBody @Validated SimInfoDto.BaseDto dto);

    @PostMapping("refreshNet")
    R<String> refreshNet(@RequestBody @Validated SimInfoDto.RefreshNetDto dto);

    @PostMapping("bindAgain")
    R<String> bindAgain(@RequestBody @Validated SimInfoDto.BindAgainDto dto);

    @PostMapping("packList")
    R<List<SimInfoDto.PackListVo>> packList(@RequestBody @Validated SimInfoDto.BaseDto dto);

    @PostMapping("buyPack")
    R<String> buyPack(@RequestBody @Validated SimInfoDto.BuyPackDto dto);
}
